Skip to content

Assignment Batches

Operations Summary

Method Endpoint Description
Core CRUD
GET /api/assignment-batches/ List Assignment Batches
GET /api/assignment-batches/{uuid}/ Retrieve
POST /api/assignment-batches/ Create
PUT /api/assignment-batches/{uuid}/ Update
PATCH /api/assignment-batches/{uuid}/ Partial Update
DELETE /api/assignment-batches/{uuid}/ Delete
Other Actions
POST /api/assignment-batches/{uuid}/cancel/ Cancel this assignment batch
POST /api/assignment-batches/{uuid}/extend-deadline/ Extend deadline
POST /api/assignment-batches/{uuid}/send/ Send this assignment batch invitation to the reviewer

Core CRUD

List Assignment Batches

1
2
3
4
http \
  GET \
  https://api.example.com/api/assignment-batches/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.assignment_batch_list_o_enum import AssignmentBatchListOEnum # (1)
from waldur_api_client.models.assignment_batch_status import AssignmentBatchStatus # (2)
from waldur_api_client.models.assignment_source import AssignmentSource # (3)
from waldur_api_client.api.assignment_batches import assignment_batches_list # (4)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = assignment_batches_list.sync(client=client)

for item in response:
    print(item)
  1. Model Source: AssignmentBatchListOEnum
  2. Model Source: AssignmentBatchStatus
  3. Model Source: AssignmentSource
  4. API Source: assignment_batches_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { assignmentBatchesList } from 'waldur-js-client';

try {
  const response = await assignmentBatchesList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
call_uuid string (uuid)
o array Ordering

page integer A page number within the paginated result set.
page_size integer Number of results to return per page.
reviewer_pool_entry_uuid string (uuid)
reviewer_uuid string (uuid)
sent_after string (date-time)
sent_before string (date-time)
source array
status array

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
url string (uri)
uuid string (uuid)
call string (uri)
call_uuid string (uuid)
call_name string
reviewer_pool_entry string (uri)
reviewer_pool_entry_uuid string (uuid)
reviewer_name string Get reviewer name from pool entry.
reviewer_email string Get reviewer email from pool entry.
reviewer_uuid string Get reviewer profile UUID if available.
status any
status_display string
sent_at string (date-time) When the invitation was sent to the reviewer.
expires_at string (date-time) When the invitation expires.
responded_at string (date-time) When the reviewer completed their response.
source any
source_display string
created_by string (uri) User who created/approved this batch.
created_by_name string
manager_notes string Optional notes from call manager to reviewer.
items_count integer Total count of items in batch.
items_pending_count integer Count of pending items.
items_accepted_count integer Count of accepted items.
items_declined_count integer Count of declined items.
is_expired boolean
created string (date-time)

Retrieve

1
2
3
4
http \
  GET \
  https://api.example.com/api/assignment-batches/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.assignment_batches import assignment_batches_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = assignment_batches_retrieve.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: assignment_batches_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { assignmentBatchesRetrieve } from 'waldur-js-client';

try {
  const response = await assignmentBatchesRetrieve({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

200 -

Field Type Description
url string (uri)
uuid string (uuid)
call string (uri)
call_uuid string (uuid)
call_name string
reviewer_pool_entry string (uri)
reviewer_pool_entry_uuid string (uuid)
reviewer_name string Get reviewer name from pool entry.
reviewer_email string Get reviewer email from pool entry.
reviewer_uuid string Get reviewer profile UUID if available.
status any
status_display string
sent_at string (date-time) When the invitation was sent to the reviewer.
expires_at string (date-time) When the invitation expires.
responded_at string (date-time) When the reviewer completed their response.
source any
source_display string
created_by string (uri) User who created/approved this batch.
created_by_name string
manager_notes string Optional notes from call manager to reviewer.
items array of objects
items.url string (uri)
items.uuid string (uuid)
items.batch string (uri)
items.proposal string (uri)
items.proposal_uuid string (uuid)
items.proposal_name string
items.proposal_slug string
items.status any
items.status_display string
items.affinity_score number (double) Affinity score used for assignment (0-1).
items.has_coi boolean Whether COI was detected during pre-check.
items.coi_count integer Count of COI records blocking this assignment.
items.responded_at string (date-time)
items.decline_reason string Reason provided by reviewer for declining.
items.review string (uri) The Review record created when this assignment was accepted.
items.review_uuid string (uuid)
items.reassign_count integer Number of times this proposal has been reassigned.
items.created string (date-time)
items_count integer Total count of items in batch.
items_pending_count integer Count of pending items.
items_accepted_count integer Count of accepted items.
items_declined_count integer Count of declined items.
is_expired boolean
created string (date-time)

Create

1
2
3
4
http \
  POST \
  https://api.example.com/api/assignment-batches/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.assignment_batch_request import AssignmentBatchRequest # (1)
from waldur_api_client.api.assignment_batches import assignment_batches_create # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = AssignmentBatchRequest()
response = assignment_batches_create.sync(
    client=client,
    body=body_data
)

print(response)
  1. Model Source: AssignmentBatchRequest
  2. API Source: assignment_batches_create
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { assignmentBatchesCreate } from 'waldur-js-client';

try {
  const response = await assignmentBatchesCreate({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Field Type Required Description
manager_notes string Optional notes from call manager to reviewer.

201 -

Field Type Description
url string (uri)
uuid string (uuid)
call string (uri)
call_uuid string (uuid)
call_name string
reviewer_pool_entry string (uri)
reviewer_pool_entry_uuid string (uuid)
reviewer_name string Get reviewer name from pool entry.
reviewer_email string Get reviewer email from pool entry.
reviewer_uuid string Get reviewer profile UUID if available.
status any
status_display string
sent_at string (date-time) When the invitation was sent to the reviewer.
expires_at string (date-time) When the invitation expires.
responded_at string (date-time) When the reviewer completed their response.
source any
source_display string
created_by string (uri) User who created/approved this batch.
created_by_name string
manager_notes string Optional notes from call manager to reviewer.
items array of objects
items.url string (uri)
items.uuid string (uuid)
items.batch string (uri)
items.proposal string (uri)
items.proposal_uuid string (uuid)
items.proposal_name string
items.proposal_slug string
items.status any
items.status_display string
items.affinity_score number (double) Affinity score used for assignment (0-1).
items.has_coi boolean Whether COI was detected during pre-check.
items.coi_count integer Count of COI records blocking this assignment.
items.responded_at string (date-time)
items.decline_reason string Reason provided by reviewer for declining.
items.review string (uri) The Review record created when this assignment was accepted.
items.review_uuid string (uuid)
items.reassign_count integer Number of times this proposal has been reassigned.
items.created string (date-time)
items_count integer Total count of items in batch.
items_pending_count integer Count of pending items.
items_accepted_count integer Count of accepted items.
items_declined_count integer Count of declined items.
is_expired boolean
created string (date-time)

Update

1
2
3
4
http \
  PUT \
  https://api.example.com/api/assignment-batches/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.assignment_batch_request import AssignmentBatchRequest # (1)
from waldur_api_client.api.assignment_batches import assignment_batches_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = AssignmentBatchRequest()
response = assignment_batches_update.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: AssignmentBatchRequest
  2. API Source: assignment_batches_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { assignmentBatchesUpdate } from 'waldur-js-client';

try {
  const response = await assignmentBatchesUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required Description
manager_notes string Optional notes from call manager to reviewer.

200 -

Field Type Description
url string (uri)
uuid string (uuid)
call string (uri)
call_uuid string (uuid)
call_name string
reviewer_pool_entry string (uri)
reviewer_pool_entry_uuid string (uuid)
reviewer_name string Get reviewer name from pool entry.
reviewer_email string Get reviewer email from pool entry.
reviewer_uuid string Get reviewer profile UUID if available.
status any
status_display string
sent_at string (date-time) When the invitation was sent to the reviewer.
expires_at string (date-time) When the invitation expires.
responded_at string (date-time) When the reviewer completed their response.
source any
source_display string
created_by string (uri) User who created/approved this batch.
created_by_name string
manager_notes string Optional notes from call manager to reviewer.
items array of objects
items.url string (uri)
items.uuid string (uuid)
items.batch string (uri)
items.proposal string (uri)
items.proposal_uuid string (uuid)
items.proposal_name string
items.proposal_slug string
items.status any
items.status_display string
items.affinity_score number (double) Affinity score used for assignment (0-1).
items.has_coi boolean Whether COI was detected during pre-check.
items.coi_count integer Count of COI records blocking this assignment.
items.responded_at string (date-time)
items.decline_reason string Reason provided by reviewer for declining.
items.review string (uri) The Review record created when this assignment was accepted.
items.review_uuid string (uuid)
items.reassign_count integer Number of times this proposal has been reassigned.
items.created string (date-time)
items_count integer Total count of items in batch.
items_pending_count integer Count of pending items.
items_accepted_count integer Count of accepted items.
items_declined_count integer Count of declined items.
is_expired boolean
created string (date-time)

Partial Update

1
2
3
4
http \
  PATCH \
  https://api.example.com/api/assignment-batches/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.patched_assignment_batch_request import PatchedAssignmentBatchRequest # (1)
from waldur_api_client.api.assignment_batches import assignment_batches_partial_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = PatchedAssignmentBatchRequest()
response = assignment_batches_partial_update.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: PatchedAssignmentBatchRequest
  2. API Source: assignment_batches_partial_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { assignmentBatchesPartialUpdate } from 'waldur-js-client';

try {
  const response = await assignmentBatchesPartialUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required Description
manager_notes string Optional notes from call manager to reviewer.

200 -

Field Type Description
url string (uri)
uuid string (uuid)
call string (uri)
call_uuid string (uuid)
call_name string
reviewer_pool_entry string (uri)
reviewer_pool_entry_uuid string (uuid)
reviewer_name string Get reviewer name from pool entry.
reviewer_email string Get reviewer email from pool entry.
reviewer_uuid string Get reviewer profile UUID if available.
status any
status_display string
sent_at string (date-time) When the invitation was sent to the reviewer.
expires_at string (date-time) When the invitation expires.
responded_at string (date-time) When the reviewer completed their response.
source any
source_display string
created_by string (uri) User who created/approved this batch.
created_by_name string
manager_notes string Optional notes from call manager to reviewer.
items array of objects
items.url string (uri)
items.uuid string (uuid)
items.batch string (uri)
items.proposal string (uri)
items.proposal_uuid string (uuid)
items.proposal_name string
items.proposal_slug string
items.status any
items.status_display string
items.affinity_score number (double) Affinity score used for assignment (0-1).
items.has_coi boolean Whether COI was detected during pre-check.
items.coi_count integer Count of COI records blocking this assignment.
items.responded_at string (date-time)
items.decline_reason string Reason provided by reviewer for declining.
items.review string (uri) The Review record created when this assignment was accepted.
items.review_uuid string (uuid)
items.reassign_count integer Number of times this proposal has been reassigned.
items.created string (date-time)
items_count integer Total count of items in batch.
items_pending_count integer Count of pending items.
items_accepted_count integer Count of accepted items.
items_declined_count integer Count of declined items.
is_expired boolean
created string (date-time)

Delete

1
2
3
4
http \
  DELETE \
  https://api.example.com/api/assignment-batches/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.assignment_batches import assignment_batches_destroy # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = assignment_batches_destroy.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: assignment_batches_destroy
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { assignmentBatchesDestroy } from 'waldur-js-client';

try {
  const response = await assignmentBatchesDestroy({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

204 - No response body


Other Actions

Cancel this assignment batch

Cancel this assignment batch.

1
2
3
4
http \
  POST \
  https://api.example.com/api/assignment-batches/a1b2c3d4-e5f6-7890-abcd-ef1234567890/cancel/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.assignment_batches import assignment_batches_cancel # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = assignment_batches_cancel.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: assignment_batches_cancel
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { assignmentBatchesCancel } from 'waldur-js-client';

try {
  const response = await assignmentBatchesCancel({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

200 -

Field Type
message string

Extend deadline

Extend or modify the expiration date for an assignment batch. Can reactivate expired batches by setting a future deadline.

1
2
3
4
5
http \
  POST \
  https://api.example.com/api/assignment-batches/a1b2c3d4-e5f6-7890-abcd-ef1234567890/extend-deadline/ \
  Authorization:"Token YOUR_API_TOKEN" \
  expires_at="2023-10-01T12:00:00Z"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.extend_deadline_request_request import ExtendDeadlineRequestRequest # (1)
from waldur_api_client.api.assignment_batches import assignment_batches_extend_deadline # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = ExtendDeadlineRequestRequest(
    expires_at="2023-10-01T12:00:00Z"
)
response = assignment_batches_extend_deadline.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: ExtendDeadlineRequestRequest
  2. API Source: assignment_batches_extend_deadline
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
import { assignmentBatchesExtendDeadline } from 'waldur-js-client';

try {
  const response = await assignmentBatchesExtendDeadline({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  },
  body: {
    "expires_at": "2023-10-01T12:00:00Z"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required Description
expires_at string (date-time) New expiration date and time for the assignment batch.

200 -

Field Type Description
expires_at string (date-time) The updated expiration date.
status string Current status of the batch.

Send this assignment batch invitation to the reviewer

Send this assignment batch invitation to the reviewer.

1
2
3
4
http \
  POST \
  https://api.example.com/api/assignment-batches/a1b2c3d4-e5f6-7890-abcd-ef1234567890/send/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.send_assignment_batch_request import SendAssignmentBatchRequest # (1)
from waldur_api_client.api.assignment_batches import assignment_batches_send # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = SendAssignmentBatchRequest()
response = assignment_batches_send.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: SendAssignmentBatchRequest
  2. API Source: assignment_batches_send
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { assignmentBatchesSend } from 'waldur-js-client';

try {
  const response = await assignmentBatchesSend({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required Description
manager_notes string Optional notes to include in the invitation email

200 -

Field Type
detail string
expires_at string (date-time)